<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Auth;
use App\User;
use DB;
use App\Models\Main;
use App\Models\Color;
use App\Models\Description;
use App\Models\Material;
use Illuminate\Support\Facades\Storage;


class AdminController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public function home()
    {

        return view('web.dashboard');
    }
    
    public function mains()
    {

        return view('web.main');
    }
    
    public function editmains(Request $request)
    {

        $main = \App\Models\Main::where('id', $request->id)->first();
        $main->name = $request->name;
        
        if($request->picture)
        {
        $value = $request->picture;
        $namefile = uniqid().".".$value->getClientOriginalExtension();
        $value->storeAs('files', $namefile);
        $main->pname = $namefile;
        $main->picture = "public/storage/files/";
        }
        $main->save();

        return redirect()->back()->with(['message'=>"Added successfully"]);
    }
    
    public function deletemains(Request $request)
    {

        $main = \App\Models\Main::where('id', $request->id)->first();
        $main->delete();
        return redirect()->back()->with(['message'=>"Added successfully"]);
    }
    
    
    public function editdescriptions(Request $request)
    {

        $description = \App\Models\Description::where('id', $request->id)->first();
        $description->description = $request->name;
        $description->main_id = $request->main_id;
        
        if($request->picture)
        {
        $value = $request->picture;
        
        $namefile = uniqid().".".$value->getClientOriginalExtension();
        $value->storeAs('files', $namefile);
        $description->pname = $namefile;
        $description->picture = "public/storage/files/";
        }

        if($request->picture2)
        {
            $value2 = $request->picture2;
        
        $namefile2 = uniqid().".".$value2->getClientOriginalExtension();
        $value2->storeAs('files', $namefile2);
        $description->pname2 = $namefile2;
        $description->picture2 = "public/storage/files/";
        }
        $description->save();

        return redirect()->back()->with(['message'=>"Added successfully"]);
    }
    
    public function deletedescriptions(Request $request)
    {

        $main = \App\Models\Description::where('id', $request->id)->first();
        $main->delete();
        return redirect()->back()->with(['message'=>"Added successfully"]);
    }
    
    public function descriptions()
    {

        return view('web.description');
    }
    
    public function colors()
    {

        return view('web.color');
    }
    public function materials()
    {

        return view('web.material');
    }

    public function addnewmain(Request $request)
    {
        $main = new Main();
        $main->name = $request->name;
        $value = $request->picture;
        $namefile = uniqid().".".$value->getClientOriginalExtension();
        $value->storeAs('files', $namefile);
        $main->pname = $namefile;
        $main->picture = "public/storage/files/";
        $main->save();

        return redirect()->back()->with(['message'=>"Added successfully"]);
    }

    public function addnewdescription(Request $request)
    {
        $description = new Description();

        $value = $request->picture;
        $value2 = $request->picture2;

        $namefile = uniqid().".".$value->getClientOriginalExtension();
        $value->storeAs('files', $namefile);
        $description->pname = $namefile;
        $description->picture = "public/storage/files/";

        $namefile2 = uniqid().".".$value2->getClientOriginalExtension();
        $value2->storeAs('files', $namefile2);
        $description->pname2 = $namefile2;
        $description->picture2 = "public/storage/files/";

        $description->description = $request->description;
        $description->main_id = $request->main;
        $description->save();
        return redirect()->back()->with(['message'=>"Added successfully"]);
    }
    public function addnewcolor(Request $request)
    {
        $color = new Color();
        $color->hexvalue = $request->color;
        $color->name = $request->name;
        $color->main_id = $request->main;
        $color->save();
        return redirect()->back()->with(['message'=>"Added successfully"]);
    }
    public function addnewmaterial(Request $request)
    {
        $material = new Material();
        $material->name = $request->name;
        $material->main_id = $request->main;
        $material->save();
        return redirect()->back()->with(['message'=>"Added successfully"]);
    }

}
