@extends('layouts.main')
@section('styles')
@endsection
@section('content')
<div class="col-md-3 content" style="padding:0px;">
@include('includes.sidebar')
</div>
<div class="col-md-9 content">
  <div class="panel panel-default">
    <div class="panel-heading">
      <h3 class="panel-title">Dashboard</h3>
    </div>
    <div class="panel-body">
        <div class="content-row">
<h3>Latest</h3>
<div class="row">
            <div class="col-md-12" style="overflow-y:scroll;">
                <div class="panel panel-default">
                  <table id="example" class="display nowrap" style="width:100%;">
                      <?php 
                      $descriptions = \App\Models\Description::all();
                      ?>
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Description</th>
                                  <th>Picture 1</th>
                                  <th>Picture 2</th>
                                  <th>Main</th>
                                  <th>Actions</th>

                              </tr>
                          </thead>
                          <tbody>
                            @foreach($descriptions as $description)
                             <tr>
                                <td>{{$description->id}}</td>
                                <td>{{$description->description}}</td>
                                <td><img style="height:150px;width:150px;" src="{{$description->picture}}{{$description->pname}}"></img></td>
                                <td><img style="height:150px;width:150px;" src="{{$description->picture2}}{{$description->pname2}}"></img></td>
                                <td>{{$description->main->name}}</td>
                                <td>
                                    <a data-toggle="modal" data-target="#edit"onclick="getid(this.id)" id="{{$description->id}}" class="btn-xs btn-primary"><i class="glyphicon glyphicon-pencil" ></i>Edit </a>
                                
                                <a data-toggle="modal" id="{{$description->id}}" data-target="#delete" onclick="getid(this.id)"class="btn-xs btn-danger"><i class="glyphicon glyphicon-trash" ></i>Delete </a></td>
                              </tr>
                              @endforeach

                            </tbody>
                          </table>

            </div>
          </div>
        </div>
        </div>
    </div><!-- panel body -->
  </div>
</div><!-- content -->
<!-- Modal -->




        <div class="modal fade" id="edit" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
          aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Edit Description</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form action="{{ route('editdescriptions')}}" method="post" enctype="multipart/form-data">
                  <div class="row">
                    <div class="col-md-12">
                      <label>Description</label>
                      <input type="text" class="form-control" name="name" required/></input>
                      <input type="hidden" id="myid" class="form-control" name="id" /></input>
                    </div>
                    <div class="col-md-12">
                      <label>Picture1</label>
                      <input type="file" class="form-control" name="picture"  accept="image/x-png,image/gif,image/jpeg,image/jpg"/></input>
                      <p>only png,jpeg,jpg</p>
                    </div>
                     <div class="col-md-12">
                      <label> Main Picture2</label>
                      <input type="file" class="form-control" name="picture2"  accept="image/x-png,image/gif,image/jpeg,image/jpg"/></input>
                      <p>only png,jpeg,jpg</p>
                    </div>
                    <div class="col-md-12">
                      <label>Kitchen</label>
                      <?php $mains = \App\Models\Main::all();?>
                      <select class="form-control" name="main_id">
                          @foreach($mains as $main)
                          <option value="{{$main->id}}">{{$main->name}}</option>
                          @endforeach
                      </select>
                      
                    </div>
                  </div>

              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-primary">Edit</button>
              </div>
              {{ csrf_field()}}
              </form>
            </div>
          </div>
        </div>
        
        
         <div class="modal fade" id="delete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
          aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Delete Description</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form action="{{ route('deletedescriptions')}}" method="post" enctype="multipart/form-data">
                  <div class="row">
                    <div class="col-md-12">
                      <h4>Are you sure you want to delete?</h4>
                      <input type="hidden" id="myid" class="form-control" name="id" /></input>
                    </div>
                  </div>

              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-primary">Delete</button>
              </div>
              {{ csrf_field()}}
              </form>
            </div>
          </div>
        </div>

@endsection
@section('scripts')
<script>
@if(\Session::has('message'))
   var msg =  "{{ \Session::get('message') }}" ;
           swal("Alert!", msg, "success");
   @endif
</script>
<script>
$(document).ready(function() {
    $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
    } );
} );
</script>
<script>
    function getid(id)
    {
        $("#myid").val(id);
    }
    function getid2(id)
    {
        $("#myid2").val(id);
    }
    
</script>
@endsection
