<!DOCTYPE html>
<html lang="<?php echo e(app()->getLocale()); ?>">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo e(config('app.name', 'Laravel')); ?></title>

    <!-- Styles -->
    <link href="<?php echo e(asset('css/app.css')); ?>" rel="stylesheet">
    <link rel="shortcut icon" href="favicon_16.ico"/>
    <link rel="bookmark" href="favicon_16.ico"/>
      <link rel="stylesheet" href="<?php echo e(asset('webstyles/plugins/iCheck/square/blue.css')); ?>">
    <link href="<?php echo e(asset('webstyles/calender/fullcalendar.min.css')); ?>" rel='stylesheet' />
    <link href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css" rel='stylesheet' />
    <link href="https://cdn.datatables.net/buttons/1.5.6/css/buttons.dataTables.min.css" rel='stylesheet' />
    <link href="<?php echo e(asset('webstyles/calender/fullcalendar.print.min.css')); ?>" rel='stylesheet' media='print' />
    <link rel="stylesheet" href="http://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.1.0/css/font-awesome.min.css"/>

    <style>
     .mgbtn{
       margin: 2px !important;
     }
     .statistic__item {
        border: 1px solid #e5e5e5;
        background: #fff;
        padding: 20px 30px;
        position: relative;
        overflow: hidden;
        margin-bottom: 40px;
    }
    .statistic__item h2 {
        font-size: 36px;
        font-weight: 300;
        color: #4272d7;
    	margin-top:0
    }
    .statistic__item .desc {
        font-size: 18px;
        text-transform: uppercase;
        font-weight: 300;
        color: rgba(128, 128, 128, 0.6);
    }
    </style>
    <!-- site css -->
    <link rel="stylesheet" href="<?php echo e(asset('webstyles/dist/css/site.min.css')); ?>">
    <link href="http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,800,700,400italic,600italic,700italic,800italic,300italic" rel="stylesheet" type="text/css">
    <!-- <link href='http://fonts.googleapis.com/css?family=Lato:300,400,700' rel='stylesheet' type='text/css'> -->
    <!-- HTML5 shim, for IE6-8 support of HTML5 elements. All other JS at the end of file. -->
    <!--[if lt IE 9]>
      <script src="js/html5shiv.js"></script>
      <script src="js/respond.min.js"></script>
    <![endif]-->
<script type="text/javascript" src="<?php echo e(asset('webstyles/dist/js/site.min.js')); ?>"></script>
<script type="text/javascript" src="https://code.jquery.com/jquery-3.3.1.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.6/js/dataTables.buttons.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.6/js/buttons.flash.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.6/js/buttons.html5.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.6/js/buttons.print.min.js"></script>


<script src="<?php echo e(asset('webstyles/jquery.repeater.js')); ?>" type="text/javascript"></script>
<script src="<?php echo e(asset('webstyles/form-repeater.min.js')); ?>" type="text/javascript"></script>
<!--
<script src="<?php echo e(asset('webstyles/calender/moment.min.js')); ?>"></script>
<script src="<?php echo e(asset('webstyles/calender/jquery.min.js')); ?>"></script>
<script src="<?php echo e(asset('webstyles/calender/fullcalendar.min.js')); ?>"></script> -->
<link rel="stylesheet" type="text/css" href="<?php echo e(asset ('webstyles/src/jquery.tagsinput.css')); ?>" />
<script type="text/javascript" src="<?php echo e(asset('webstyles/src/jquery.tagsinput.js')); ?>"></script>

<?php echo $__env->yieldContent('styles'); ?>
<script>
$(function() {

  $('#tags_1').tagsInput({width:'auto'});

});
</script>
</head>
<body>
<?php echo $__env->make('includes.nav', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<div class="container-fluid">
<?php echo $__env->yieldContent('content'); ?>
</div>

<?php echo $__env->make('includes.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <!-- Scripts -->
    <?php echo $__env->yieldContent('scripts'); ?>


        <div class="modal fade" id="addnewmain" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
          aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Add New Main</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form action="<?php echo e(route('addnewmain')); ?>" method="post" enctype="multipart/form-data">
                  <div class="row">
                    <div class="col-md-12">
                      <label>Name</label>
                      <input type="text" class="form-control" name="name" required/></input>
                    </div>
                    <div class="col-md-12">
                      <label>Picture</label>
                      <input type="file" class="form-control" name="picture"  accept="image/x-png,image/gif,image/jpeg,image/jpg"/></input>
                      <p>only png,jpeg,jpg</p>
                    </div>
                  </div>

              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-primary">Add</button>
              </div>
              <?php echo e(csrf_field()); ?>

              </form>
            </div>
          </div>
        </div>


        <div class="modal fade" id="addnewdescription" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
          aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Add New Description</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form action="<?php echo e(route('addnewdescription')); ?>" method="post" enctype="multipart/form-data">
                  <div class="row">

                    <div class="col-md-12">
                      <label>Kitchen</label>
                      <?php
                        $main = \App\Models\Main::all();
                      ?>
                      <select class="form-control" name="main" required>
                        <?php $__currentLoopData = $main; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mai): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($mai->id); ?>"><?php echo e($mai->name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      </select>

                    </div>
                    <div class="col-md-12">
                      <label>Picture</label>
                      <input type="file" class="form-control" name="picture" required/></input>
                    </div>
                    <div class="col-md-12">
                      <label>Main Picture</label>
                      <input type="file" class="form-control" name="picture2" required/></input>
                    </div>
                    <div class="col-md-12">
                      <label>Description</label>
                      <textarea type="text" class="form-control" name="description" required/></textarea>
                    </div>
                  </div>

              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-primary">Create Item</button>
              </div>
              <?php echo e(csrf_field()); ?>

              </form>
            </div>
          </div>
        </div>



        <div class="modal fade" id="addnewcolor" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
          aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Add New Color</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form action="<?php echo e(route('addnewcolor')); ?>" method="post" enctype="multipart/form-data">
                  <div class="row">

                    <div class="col-md-12">
                      <label>Kitchen</label>
                      <?php
                        $main = \App\Models\Main::all();
                      ?>
                      <select class="form-control" name="main" required>
                        <?php $__currentLoopData = $main; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mai): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($mai->id); ?>"><?php echo e($mai->name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      </select>
                    </div>
                    <div class="col-md-12">
                      <label>Color</label>
                      <input type="color" class="form-control" name="color" required/></input>
                    </div>
                    <div class="col-md-12">
                      <label>Color name</label>
                      <input type="text" class="form-control" name="name" required/></input>
                    </div>
                  </div>

              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-primary">Create Color</button>
              </div>
              <?php echo e(csrf_field()); ?>

              </form>
            </div>
          </div>
        </div>


        <div class="modal fade" id="addnewmaterial" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
          aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Add New Material</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form action="<?php echo e(route('addnewmaterial')); ?>" method="post" enctype="multipart/form-data">
                  <div class="row">

                    <div class="col-md-12">
                      <label>Kitchen</label>
                      <?php
                        $main = \App\Models\Main::all();
                      ?>
                      <select class="form-control" name="main" required>
                        <?php $__currentLoopData = $main; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mai): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($mai->id); ?>"><?php echo e($mai->name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      </select>
                    </div>
                    <div class="col-md-12">
                      <label>Color name</label>
                      <input type="text" class="form-control" name="name" required/></input>
                    </div>
                  </div>

              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-primary">Create Color</button>
              </div>
              <?php echo e(csrf_field()); ?>

              </form>
            </div>
          </div>
        </div>


</body>
</html>
